From 06788d9cf66ce8f56baa93cdaf1b0aff0edc668f Mon Sep 17 00:00:00 2001
From: Hans Ulrich Niedermann <hun@n-dimensional.de>
Date: Tue, 8 Jan 2008 21:39:40 +0100
Subject: [PATCH] Substitute icon path in awesomerc (1/2)

Use the path where the icons will actually be installed instead
of some static default value.
---
 Makefile.am  |   20 ++-
 awesomerc    |  390 ----------------------------------------------------------
 awesomerc.in |  390 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 403 insertions(+), 397 deletions(-)
 delete mode 100644 awesomerc
 create mode 100644 awesomerc.in

diff --git a/Makefile.am b/Makefile.am
index 0cd9f4b..b8a8d54 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -5,7 +5,7 @@ SUFFIXES =
 bin_PROGRAMS =
 doc_DATA =
 man_MANS =
-iconslayoutsdir = ${pkgdatadir}/icons/layouts
+iconslayoutsdir = $(pkgdatadir)/icons/layouts
 dist_iconslayouts_DATA =
 
 LAYOUTS =
@@ -35,9 +35,6 @@ WIDGETS += widgets/tasklist.c
 WIDGETS += widgets/graph.c
 
 
-EXTRA_DIST += awesomerc
-doc_DATA   += awesomerc
-
 doc_DATA   += README
 
 EXTRA_DIST += LICENSE
@@ -47,13 +44,22 @@ EXTRA_DIST += STYLE
 doc_DATA   += STYLE
 
 
+EXTRA_DIST    += awesomerc.in
+CLEANFILES    += awesomerc
+BUILT_SOURCES += awesomerc
+doc_DATA      += awesomerc
+awesomerc: $(srcdir)/awesomerc.in
+	$(SED) -e "s|[@]iconslayoutsdir@|$(iconslayoutsdir)|" \
+		< $(srcdir)/awesomerc.in > awesomerc
+
+
 CLEANFILES    += defconfig.h
 BUILT_SOURCES += defconfig.h
-defconfig.h: $(srcdir)/awesomerc
-	@echo "generating defconfig.h from $(srcdir)/awesomerc"
+defconfig.h: awesomerc
+	@echo "generating defconfig.h from awesomerc"
 	@echo "#define AWESOME_DEFAULT_CONFIG \\" > defconfig.h
 	@echo -n "\"" >> defconfig.h
-	@$(SED) 's,\\,\\\\,g;s/$$/ \\/;s/"/\\"/g' "$(srcdir)/awesomerc" >> defconfig.h
+	@$(SED) 's,\\,\\\\,g;s/$$/ \\/;s/"/\\"/g' "awesomerc" >> defconfig.h
 	@echo "\"" >> defconfig.h
 
 if USING_GCC
diff --git a/awesomerc b/awesomerc
deleted file mode 100644
index d5c3f9f..0000000
--- a/awesomerc
+++ /dev/null
@@ -1,390 +0,0 @@
-screen 0
-{
-    tags
-    {
-        tag one { }
-        tag two { }
-        tag three { }
-        tag four { }
-        tag five { }
-        tag six { }
-        tag seven { }
-        tag eight { }
-        tag nine { }
-    }
-    layouts
-    {
-        layout tile { image = "/usr/local/share/awesome/icons/layouts/tilew.png" }
-        layout tileleft { image = "/usr/local/share/awesome/icons/layouts/tileleftw.png" }
-        layout max { image = "/usr/local/share/awesome/icons/layouts/maxw.png" }
-        layout spiral { image = "/usr/local/share/awesome/icons/layouts/spiralw.png" }
-        layout dwindle { image = "/usr/local/share/awesome/icons/layouts/dwindlew.png" }
-        layout floating { image = "/usr/local/share/awesome/icons/layouts/floatingw.png" }
-    }
-    statusbar mystatusbar
-    {
-        position = "top"
-
-        taglist mytaglist
-        {
-            mouse
-            {
-                button = "1"
-                command = "tag_view"
-            }
-            mouse
-            {
-                button = "1"
-                modkey = {"Mod4"}
-                command = "client_tag"
-            }
-            mouse
-            {
-                button = "3"
-                command = "tag_toggleview"
-            }
-            mouse
-            {
-                button = "3"
-                modkey = {"Mod4"}
-                command = "client_toggletag"
-            }
-            mouse
-            {
-                button = "4"
-                command = "tag_viewnext"
-            }
-            mouse
-            {
-                button = "5"
-                command = "tag_viewprev"
-            }
-        }
-        layoutinfo mylayoutinfo
-        {
-            mouse
-            {
-                button = "1"
-                command = "tag_setlayout"
-                arg = "+1"
-            }
-            mouse
-            {
-                button = "4"
-                command = "tag_setlayout"
-                arg = "+1"
-            }
-            mouse
-            {
-                button = "3"
-                command = "tag_setlayout"
-                arg = "-1"
-            }
-            mouse
-            {
-                button = "5"
-                command = "tag_setlayout"
-                arg = "-1"
-            }
-        }
-        tasklist mytasklist
-        {
-            mouse
-            {
-                button = "4"
-                command = "client_focusnext"
-            }
-            mouse
-            {
-                button = "5"
-                command = "client_focusprev"
-            }
-            mouse
-            {
-                modkey = {"Mod4"}
-                button = "4"
-                command = "client_swapnext"
-            }
-            mouse
-            {
-                modkey = {"Mod4"}
-                button = "5"
-                command = "client_swapprev"
-            }
-        }
-    }
-}
-
-rules
-{
-    rule { name = "Gimp" float = true }
-    rule { name = "MPlayer" float = true }
-    rule { name = "Acroread" float = true }
-    rule { name = "pinentry" float = true }
-}
-
-mouse
-{
-    root
-    {
-        button = "3"
-        command = "spawn"
-        arg = "exec xterm"
-    }
-    root
-    {
-        button = "4"
-        command = "tag_viewnext"
-    }
-    root
-    {
-        button = "5"
-        command = "tag_viewprev"
-    }
-    client
-    {
-        modkey = {"Mod4"}
-        button = "1"
-        command = "client_movemouse"
-    }
-    client
-    {
-        modkey = {"Mod4"}
-        button = "2"
-        command = "client_zoom"
-    }
-    client
-    {
-        modkey = {"Mod4"}
-        button = "3"
-        command = "client_resizemouse"
-    }
-}
-
-keys
-{
-    key
-    {
-        modkey = {"Mod4"}
-        key = "Return"
-        command = "spawn"
-        arg = "exec xterm"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "space"
-        command = "tag_setlayout"
-        arg = "+1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "space"
-        command = "tag_setlayout"
-        arg = "-1"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "b"
-        command = "statusbar_toggle"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "j"
-        command = "client_focusnext"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "k"
-        command = "client_focusprev"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "Tab"
-        command = "focus_history"
-        arg = "-1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "j"
-        command = "client_swapnext"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "k"
-        command = "client_swapprev"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "j"
-        command = "screen_focus"
-        arg = "+1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "k"
-        command = "screen_focus"
-        arg = "-1"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "h"
-        command = "tag_setmwfact"
-        arg = "-0.05"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "l"
-        command = "tag_setmwfact"
-        arg = "+0.05"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "h"
-        command = "tag_setnmaster"
-        arg = "+1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "l"
-        command = "tag_setnmaster"
-        arg = "-1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "h"
-        command = "tag_setncol"
-        arg = "+1"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "l"
-        command = "tag_setncol"
-        arg = "-1"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "Escape"
-        command = "tag_viewprev_selected"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "Left"
-        command = "tag_viewprev"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "Right"
-        command = "tag_viewnext"
-    }
-    key
-    {
-        modkey = {"Mod4"}
-        key = "m"
-        command = "client_togglemax"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "Return"
-        command = "client_zoom"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "space"
-        command = "client_togglefloating"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "c"
-        command = "client_kill"
-    }
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "q"
-        command = "quit"
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "r"
-        command = "exec"
-        arg = "awesome"
-    }
-    key
-    {
-       modkey = {"Mod4"}
-       key = "0"
-       command = "tag_view"
-    }
-    keylist
-    {
-        modkey = {"Mod4"}
-        command = "tag_view"
-        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-    }
-    key
-    {
-        modkey = {"Mod4", "Control"}
-        key = "0"
-        command = "tag_toggleview"
-    }
-    keylist
-    {
-        modkey = {"Mod4", "Control"}
-        command = "tag_toggleview"
-        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-    }
-
-    key
-    {
-        modkey = {"Mod4", "Shift"}
-        key = "0"
-        command = "client_tag"
-    }
-    keylist
-    {
-        modkey = {"Mod4", "Shift"}
-        command = "client_tag"
-        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-    }
-
-    key
-    {
-        modkey = {"Mod4", "Shift", "Control"}
-        key = "0"
-        command = "client_toggletag"
-    }
-    keylist
-    {
-        modkey = {"Mod4", "Shift", "Control"}
-        command = "client_toggletag"
-        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
-    }
-}
-# vim: filetype=conf
diff --git a/awesomerc.in b/awesomerc.in
new file mode 100644
index 0000000..d5c3f9f
--- /dev/null
+++ b/awesomerc.in
@@ -0,0 +1,390 @@
+screen 0
+{
+    tags
+    {
+        tag one { }
+        tag two { }
+        tag three { }
+        tag four { }
+        tag five { }
+        tag six { }
+        tag seven { }
+        tag eight { }
+        tag nine { }
+    }
+    layouts
+    {
+        layout tile { image = "/usr/local/share/awesome/icons/layouts/tilew.png" }
+        layout tileleft { image = "/usr/local/share/awesome/icons/layouts/tileleftw.png" }
+        layout max { image = "/usr/local/share/awesome/icons/layouts/maxw.png" }
+        layout spiral { image = "/usr/local/share/awesome/icons/layouts/spiralw.png" }
+        layout dwindle { image = "/usr/local/share/awesome/icons/layouts/dwindlew.png" }
+        layout floating { image = "/usr/local/share/awesome/icons/layouts/floatingw.png" }
+    }
+    statusbar mystatusbar
+    {
+        position = "top"
+
+        taglist mytaglist
+        {
+            mouse
+            {
+                button = "1"
+                command = "tag_view"
+            }
+            mouse
+            {
+                button = "1"
+                modkey = {"Mod4"}
+                command = "client_tag"
+            }
+            mouse
+            {
+                button = "3"
+                command = "tag_toggleview"
+            }
+            mouse
+            {
+                button = "3"
+                modkey = {"Mod4"}
+                command = "client_toggletag"
+            }
+            mouse
+            {
+                button = "4"
+                command = "tag_viewnext"
+            }
+            mouse
+            {
+                button = "5"
+                command = "tag_viewprev"
+            }
+        }
+        layoutinfo mylayoutinfo
+        {
+            mouse
+            {
+                button = "1"
+                command = "tag_setlayout"
+                arg = "+1"
+            }
+            mouse
+            {
+                button = "4"
+                command = "tag_setlayout"
+                arg = "+1"
+            }
+            mouse
+            {
+                button = "3"
+                command = "tag_setlayout"
+                arg = "-1"
+            }
+            mouse
+            {
+                button = "5"
+                command = "tag_setlayout"
+                arg = "-1"
+            }
+        }
+        tasklist mytasklist
+        {
+            mouse
+            {
+                button = "4"
+                command = "client_focusnext"
+            }
+            mouse
+            {
+                button = "5"
+                command = "client_focusprev"
+            }
+            mouse
+            {
+                modkey = {"Mod4"}
+                button = "4"
+                command = "client_swapnext"
+            }
+            mouse
+            {
+                modkey = {"Mod4"}
+                button = "5"
+                command = "client_swapprev"
+            }
+        }
+    }
+}
+
+rules
+{
+    rule { name = "Gimp" float = true }
+    rule { name = "MPlayer" float = true }
+    rule { name = "Acroread" float = true }
+    rule { name = "pinentry" float = true }
+}
+
+mouse
+{
+    root
+    {
+        button = "3"
+        command = "spawn"
+        arg = "exec xterm"
+    }
+    root
+    {
+        button = "4"
+        command = "tag_viewnext"
+    }
+    root
+    {
+        button = "5"
+        command = "tag_viewprev"
+    }
+    client
+    {
+        modkey = {"Mod4"}
+        button = "1"
+        command = "client_movemouse"
+    }
+    client
+    {
+        modkey = {"Mod4"}
+        button = "2"
+        command = "client_zoom"
+    }
+    client
+    {
+        modkey = {"Mod4"}
+        button = "3"
+        command = "client_resizemouse"
+    }
+}
+
+keys
+{
+    key
+    {
+        modkey = {"Mod4"}
+        key = "Return"
+        command = "spawn"
+        arg = "exec xterm"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "space"
+        command = "tag_setlayout"
+        arg = "+1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "space"
+        command = "tag_setlayout"
+        arg = "-1"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "b"
+        command = "statusbar_toggle"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "j"
+        command = "client_focusnext"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "k"
+        command = "client_focusprev"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "Tab"
+        command = "focus_history"
+        arg = "-1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "j"
+        command = "client_swapnext"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "k"
+        command = "client_swapprev"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "j"
+        command = "screen_focus"
+        arg = "+1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "k"
+        command = "screen_focus"
+        arg = "-1"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "h"
+        command = "tag_setmwfact"
+        arg = "-0.05"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "l"
+        command = "tag_setmwfact"
+        arg = "+0.05"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "h"
+        command = "tag_setnmaster"
+        arg = "+1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "l"
+        command = "tag_setnmaster"
+        arg = "-1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "h"
+        command = "tag_setncol"
+        arg = "+1"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "l"
+        command = "tag_setncol"
+        arg = "-1"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "Escape"
+        command = "tag_viewprev_selected"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "Left"
+        command = "tag_viewprev"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "Right"
+        command = "tag_viewnext"
+    }
+    key
+    {
+        modkey = {"Mod4"}
+        key = "m"
+        command = "client_togglemax"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "Return"
+        command = "client_zoom"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "space"
+        command = "client_togglefloating"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "c"
+        command = "client_kill"
+    }
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "q"
+        command = "quit"
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "r"
+        command = "exec"
+        arg = "awesome"
+    }
+    key
+    {
+       modkey = {"Mod4"}
+       key = "0"
+       command = "tag_view"
+    }
+    keylist
+    {
+        modkey = {"Mod4"}
+        command = "tag_view"
+        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+    }
+    key
+    {
+        modkey = {"Mod4", "Control"}
+        key = "0"
+        command = "tag_toggleview"
+    }
+    keylist
+    {
+        modkey = {"Mod4", "Control"}
+        command = "tag_toggleview"
+        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+    }
+
+    key
+    {
+        modkey = {"Mod4", "Shift"}
+        key = "0"
+        command = "client_tag"
+    }
+    keylist
+    {
+        modkey = {"Mod4", "Shift"}
+        command = "client_tag"
+        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+    }
+
+    key
+    {
+        modkey = {"Mod4", "Shift", "Control"}
+        key = "0"
+        command = "client_toggletag"
+    }
+    keylist
+    {
+        modkey = {"Mod4", "Shift", "Control"}
+        command = "client_toggletag"
+        keylist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+        arglist = { 1, 2, 3, 4, 5, 6, 7, 8, 9 }
+    }
+}
+# vim: filetype=conf
-- 
1.5.3.7

